Bug 219777

Summary: Have vim use hunspell and hunspell dicts directly
Product: [Fedora] Fedora Reporter: Caolan McNamara <caolanm>
Component: vimAssignee: Karsten Hopp <karsten>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 12CC: davidf, dcantrell, giallu, mcepl, opensource, redhat-bugzilla, sanjay.ankur
Target Milestone: ---Keywords: Reopened, Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-23 18:29:25 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 218769    
Bug Blocks: 207571, 235705    
Attachments:
Description Flags
patch to do this none

Description Caolan McNamara 2006-12-15 07:49:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20061027 Firefox/2.0

Description of problem:
vim makes use of converted hunspell and myspell dictionaries for spellchecking purposes, approx 40megs (?) of data files which are effectively duplicates of the same hunspell dictionaries which OOo (and theoretically firefox/thunderbird, see bug 218762 can also use).

So my suggestion is the following patch to have vim use hunspell for spelling and the same dictionaries as the above apps

Version-Release number of selected component (if applicable):
vim-enhanced-7.0.178-1

How reproducible:
Always


Steps to Reproduce:
1. color colour asd
2. setlocal spell spelllang=en_us
colour and asd should be highlighted red
3. setlocal spell spelllang=en_gb
color and asd should be highlighted red
4. setlocal spell spelllang=en
asd should be highlighted red
z= on "asd" should display some replacement options e.g. "acid" for en_us and "sad" for en_bg as the top options.

Actual Results:


Expected Results:


Additional info:
Comment 1 Caolan McNamara 2006-12-15 07:53:23 EST
Created attachment 143756 [details]
patch to do this

does two things really

a) trivially expands the no of regions per language to 20, e.g. spanish has a
lot of es_XX
b) makes vim give hunspell dictionaries a go through hunspell for spellchecking
and suggestions if a native one doesn't exist

just a suggestion, feel free to do with it whatever you want
Comment 2 Matthias Clasen 2008-02-08 12:47:14 EST
Karsten, anything blocking this ?
Comment 3 Bug Zapper 2008-05-13 22:30:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-06-09 18:22:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:18:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Till Maas 2009-07-20 20:06:52 EDT
This seems not to be fixed in F10, e.g. even with hunspell-de installed, vim does no de spell checking.
Comment 7 Bug Zapper 2009-11-18 03:09:43 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 00:54:17 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Till Maas 2010-01-03 17:28:45 EST
still the case for vim-X11-7.2.315-1.fc12, i.e. with hunspell-de installed, vim still wants to have a de*.spl file.
Comment 10 Gianluca Sforna 2010-03-19 10:43:15 EDT
It's sad when we have open bugs with actual patches and they stay open for so long :(

Can the maintainer state if there is a reason for not adding the patch? If it's just lack of time we can find some comaintainer and move on.
Comment 11 Karsten Hopp 2010-03-23 18:29:25 EDT
I left it open intentionally as something do do when I get some spare time.
Upstream rejected the patch with the comment 'The patch is crude, has a few hard-coded paths and hardly any comment' which means that I need to redo the whole patch in a cleaner way that upstream can accept as I won't add such a patch and maintain it for the upcoming releases. Well, it looks like I didn't find some free time for it in the last few years and it is unlikely that this will change anytime soon.
Closing as WONTFIX.
Comment 12 Jesse Keating 2010-03-23 18:39:19 EDT
I have filed a Fedora Engineering Services ticket to see if there are any programmers out there with enough time to work on the patch set.

https://fedorahosted.org/fedora-engineering-services/ticket/12
Comment 13 Matěj Cepl 2016-06-03 09:41:39 EDT
Just that somebody filed https://github.com/vim/vim/issues/846